#include <nds.h>
#include "protos.h"


int LoadGLTextures(u8* buffer, int* texture)
{
	sImage pcx;

	//load our texture
	loadPCX(buffer, &pcx);
	
	image8to16(&pcx);

	glGenTextures(1, texture);
	glBindTexture(0, *texture);
	glTexImage2D(0, 0, GL_RGB, TEXTURE_SIZE_128 , TEXTURE_SIZE_128, 0, TEXGEN_TEXCOORD | GL_TEXTURE_WRAP_T, pcx.image.data8);

	imageDestroy(&pcx);

	return TRUE;
}

